MSGATTRIB(1)

BEZEICHNUNG
msgattrib - Attributvergleich und -bearbeitung in Meldungskatalogen

ÜBERSICHT
msgattrib [OPTION] [EINGABEDATEI]

BESCHREIBUNG

Filtert Meldungen eines Katalogs mit Übersetzungen anhand von Attributen und bearbeitet Attribute der Meldungen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

EINGABEDATEI
    PO-Eingabedatei

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn keine Eingabedatei oder »-« angegeben ist, wird die Standardeingabe gelesen.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Auswahl der Meldungen:

--translated
    übernimmt übersetzte und verwirft unübersetzte Meldungen.

--untranslated
    übernimmt unübersetzte und verwirft übersetzte Meldungen.

--no-fuzzy
    verwirft mit »fuzzy« markierte Meldungen.

--only-fuzzy
    behält mit »fuzzy« markierte Meldungen.

--no-obsolete
    verwirft obsolete Meldungen (#~).

--only-obsolete
    behält obsolete Meldungen (#~).

  Attribute bearbeiten:

--set-fuzzy
    setzt alle Meldungen auf »fuzzy«.

--clear-fuzzy
    entfernt die »fuzzy«-Markierung von allen Meldungen.

--set-obsolete
    macht alle Meldungen obsolet.

--clear-obsolete
    macht alle Meldungen nicht-obsolet.

--previous
    behält die vorherigen »msgids« der übersetzten Meldungen bei, wenn auf »fuzzy« gesetzt.

--clear-previous
    entfernt die vorherige »msgid« von allen Meldungen.

--empty
    leert auch »msgstr«, wenn die »fuzzy«-Markierung entfernt wird.

--only-file=DATEI.po
    bearbeitet nur die Einträge, die in DATEI.po gelistet sind.

--ignore-file=DATEI.po
    bearbeitet nur die Einträge, die nicht in DATEI.po gelistet sind.

--fuzzy
    ist ein Synonym für --only-fuzzy --clear-fuzzy.

--obsolete
    ist ein Synonym für --only-obsolete --clear-obsolete.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedatei folgt der .properties-Syntax von Java.

--stringtable-input
    Eingabedatei folgt der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    stellt die ausgegebene .po-Datei eingerückt dar.

--no-location
    schreibt keine Zeilen mit »#: Datei:Zeilennummer«.

-n, --add-location
    schreibt Zeilen mit »#: Datei:Zeilennummer« (Vorgabe).

--strict
    erstellt eine .po-Datei streng nach Uniforum-Format.

-p, --properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    erstellt eine sortierte Ausgabe.

-F, --sort-by-file
    sortiert die Ausgabe gemäß Vorkommen in Dateien.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgattrib wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgattrib auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgattrib

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).